Ubuntu

Add highbank images

Reported by Robie Basak on 2012-05-24
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
The Eilt project
High
Michael Casadevall
base-installer (Ubuntu)
Undecided
Unassigned
Precise
High
Unassigned
Quantal
Undecided
Unassigned
debian-installer (Ubuntu)
Wishlist
Unassigned
Precise
High
Michael Casadevall
Quantal
Wishlist
Unassigned
flash-kernel (Ubuntu)
Undecided
Unassigned
Precise
High
Michael Casadevall
Quantal
Undecided
Unassigned
libdebian-installer (Ubuntu)
Undecided
Unassigned
Precise
High
Michael Casadevall
Quantal
Undecided
Unassigned

Bug Description

We'll need netinst images for highbank once linux-highbank is in the archive. This bug is to track progress of this.

Robie Basak (racb) wrote :

I don't think this bug can proceed until bug 1004015 ([needs-packaging] linux-highbank) is closed.

Changed in debian-installer (Ubuntu):
importance: Undecided → Wishlist
Changed in eilt:
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in debian-installer (Ubuntu):
status: New → Confirmed
M.Morana (mahmoh) on 2012-05-25
Changed in eilt:
assignee: nobody → Michael Casadevall (mcasadevall)
Changed in debian-installer (Ubuntu Precise):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Michael Casadevall (mcasadevall)
milestone: none → ubuntu-12.04.1
Robie Basak (racb) wrote :

A highbank kernel is now in Quantal, so we can enable netinst images. Debdiff attached.

Robie Basak (racb) wrote :

I've tested this by running "make all_build" (and also "make build_highbank_netboot") locally. The images generated work on the hardware and give me an installed system.

Robie Basak (racb) wrote :

Oops - missed a s/armadaxp/highbank/ (I based highbank's config on armadaxp).

The attachment "d-i.highbank.debdiff" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu147

---------------
debian-installer (20101020ubuntu147) quantal; urgency=low

  * Add Calxeda Highbank netboot images (LP: #1004018).
 -- Robie Basak <email address hidden> Thu, 07 Jun 2012 11:54:16 +0100

Changed in debian-installer (Ubuntu Quantal):
status: Confirmed → Fix Released
Robie Basak (racb) on 2012-06-11
Changed in eilt:
status: New → Fix Released
status: Fix Released → Triaged
James Page (james-page) wrote :

Un-subscribing ubuntu-sponsors - please re-subscribed when further sponsoring is required.

Changed in flash-kernel (Ubuntu Quantal):
status: New → Fix Released
Changed in flash-kernel (Ubuntu Precise):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Michael Casadevall (mcasadevall)
milestone: none → ubuntu-12.04.1

Uploading installer components right now, everything seems to work, but https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1026061 (occassional hangs on reboot) is making my life difficult to test. d-i will require that all other bits are built and published in proposed before it won't FTBFS.

Changed in base-installer (Ubuntu Quantal):
status: New → Fix Released
Changed in base-installer (Ubuntu Precise):
importance: Undecided → High
milestone: none → ubuntu-12.04.1
status: New → In Progress

All d-i support packages uploaded and sitting in the queue. Once they're accepted into proposed, I'll make sure d-i works properly building my highbank patches and upload.

Changed in libdebian-installer (Ubuntu Quantal):
status: New → Fix Released
Changed in libdebian-installer (Ubuntu Precise):
assignee: nobody → Michael Casadevall (mcasadevall)
importance: Undecided → High
milestone: none → ubuntu-12.04.1
status: New → In Progress

Hello Robie, or anyone else affected,

Accepted base-installer into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/base-installer/1.122ubuntu7.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in base-installer (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

Hello Robie, or anyone else affected,

Accepted libdebian-installer into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libdebian-installer/0.79ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdebian-installer (Ubuntu Precise):
status: In Progress → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Robie, or anyone else affected,

Accepted flash-kernel into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/flash-kernel/2.28ubuntu42.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in flash-kernel (Ubuntu Precise):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Robie, or anyone else affected,

Accepted flash-kernel into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/flash-kernel/2.28ubuntu42.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Michael Reed (mreed8855) wrote :

I have tested these patches and they do work. The system successfully installed and booted up.

Itaru Kitayama (itaru) wrote :

Hi Michael,
Would you post the working images somewhere so I can test them with the latest qemu?

Chris Van Hoof (vanhoof) wrote :

Setting verification-done based on Michael's Comment #16

tags: added: verification-done
removed: verification-needed
Michael Reed (mreed8855) wrote :

HI Itaru,

I will ask mcasadevall post the kernels images. I will re-verify the patches that should be in the d-i module when they are actually there. The patches that are in proposed is what I tested, as I did access/enable the proposed kernel for this testing. "setenv bootargs console=ttyAMA0 nosplash apt-setup/proposed=true"

Itaru Kitayama (itaru) wrote :

Hi Michael,
Using the upstream kernel initiated the installation process with the recent initrd.img posted at the Ubuntu site.
I am failing at the partitioning stage, I am looking into it.

Thanks for the bootargs suggestion, that was so useful.

Chris Halse Rogers (raof) wrote :

Hello Robie, or anyone else affected,

Accepted debian-installer into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu136.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in debian-installer (Ubuntu Precise):
status: Triaged → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
M.Morana (mahmoh) wrote :

Manual installation passes verification:

Linux c02 3.2.0-27-highbank #43-Ubuntu SMP PREEMPT Fri Jul 6 16:48:52 UTC 2012 armv7l armv7l armv7l GNU/Linux
Release: 12.04
ii linux-image-3.2.0-27-highbank 3.2.0-27.43 Linux kernel image for version 3.2.0 on Calxeda highbank ARM Server
ii linux-image-highbank 3.2.0.27.29 Linux kernel image for the Calxeda Highbank flavour.

tags: added: verification-done
tags: removed: verification-needed
M.Morana (mahmoh) wrote :

Addition: installed using there binaries and flags:
http://ports.ubuntu.com/ubuntu-ports/dists/precise-proposed/main/installer-armhf/20101020ubuntu136.2/images/highbank/netboot/
"setenv bootargs console=ttyAMA0 apt-setup/proposed=true"

M.Morana (mahmoh) on 2012-07-26
Changed in eilt:
status: Triaged → Fix Committed
Itaru Kitayama (itaru) wrote :

@mahmoh on qemu virtual machin, I tried your vmlinuz and initrd, but it stops right after Starting kernel ...

The upstream kernel launches the install process, but again mounting a disk fails:

 ┌───────────────────────┤ [!!] Partition disks ├───────────────────────┐
    │ │
    │ The attempt to mount a file system with type ext2 in SCSI1 (0,0,0), │
    │ partition #1 (sda) at /boot failed. │
    │ │
    │ You may resume partitioning from the partitioning menu. │
    │ │
    │ Do you want to resume partitioning? │
    │ │
    │ <Go Back> <Yes> <No> │
    │ │
    └──────────────────────────────────────────────────────────────────────┘

Qemu I am using is, qemu-linaro-1.1.50-2012.07 and u-boot is u-boot-linaro-2012.02.3.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package base-installer - 1.122ubuntu7.1

---------------
base-installer (1.122ubuntu7.1) precise-proposed; urgency=low

  * Add Calxeda support (LP: #1004018)
 -- Michael Casadevall <email address hidden> Mon, 16 Jul 2012 20:29:58 -0400

Changed in base-installer (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flash-kernel - 2.28ubuntu42.2

---------------
flash-kernel (2.28ubuntu42.2) precise-proposed; urgency=low

  * Fix typo and escaping error on Highbank to allow it to load a ramdisk (LP: #1004018)
 -- Michael Casadevall <email address hidden> Thu, 19 Jul 2012 06:20:19 -0700

Changed in flash-kernel (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdebian-installer - 0.79ubuntu2.1

---------------
libdebian-installer (0.79ubuntu2.1) precise-proposed; urgency=low

  * Add support for Calxeda Highbank (LP: #1004018)
 -- Michael Casadevall <email address hidden> Mon, 16 Jul 2012 20:37:31 -0400

Changed in libdebian-installer (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu136.2

---------------
debian-installer (20101020ubuntu136.2) precise-proposed; urgency=low

  [ Michael Casadevall ]
  * Add Highbank images for precise (LP: #1004018)

  [ Adam Conrad ]
  * Make highbank support match in style with armadaxp
  * Update master kernels to 3.2.0-27
  * Update armadaxp kernels to 3.2.0-1605
  * Update ti-omap4 kernels to 3.2.0-1416
 -- Adam Conrad <email address hidden> Mon, 23 Jul 2012 23:24:40 -0600

Changed in debian-installer (Ubuntu Precise):
status: Fix Committed → Fix Released
Itaru Kitayama (itaru) wrote :

I have successfully installed Quantal on to a highbank qemu machine using one of the recent initrds. For the qemu machine, I had to use my own kernel that has ext2 built-in from upstream with my own config.
Here's the command I used for the installation:

$ sudo ~/workdir/qemu-linaro-1.1.50-2012.07/arm-softmmu/qemu-system-arm -M highbank -kernel ~/workdir/u-boot-linaro-2012.02.3/u-boot -m 4096 -net nic -net user,net=192.168.76.0/24,dhcpstart=192.168.76.9 -serial stdio -bios ./sysram.bin -drive file=btrfs-test.img,if=ide,id=root -device ide-hd,drive=root

M.Morana (mahmoh) wrote :

@Itaru, I thought ext2 was still built into the 3.5 kernel, I'll check, thank you for the information.

Ike Panhc (ikepanhc) wrote :

@Itaru,

Checked quanta kernel config, the ext2 is built-in. Just wonder why you need to build your own kernel to have ext2 built-in..

$ fdr genconfigs; grep EXT2 CONFIGS/armhf-config.flavour.highbank
CONFIG_EXT2_FS=y
CONFIG_EXT2_FS_XATTR=y
CONFIG_EXT2_FS_POSIX_ACL=y
CONFIG_EXT2_FS_SECURITY=y
# CONFIG_EXT2_FS_XIP is not set

Itaru Kitayama (itaru) wrote :

@MMorana, I was using my own config which worked for my qemu setup, not the quantal config you guys have been validating.

@Ike Panhc, the calxeda vmlinz which I assume is built without earlyprintk enabled, stops right after the message "Staring kernel"
so I tried the upstream kernel with my own config. I believe ext2 is required for the installation as uboot can't boot from ext4. The comment is from the Makefile in the make-highbank-ami package.

Michael Reed (mreed8855) wrote :

I succesfully installed and booted a highbank system using the precise-updates installer as of 8/3/2012

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers